# H501_ServiceRelease Class Reference

`#include <h501.h>`

Inheritance diagram for H501_ServiceRelease:

List of all members.

## Public Types

enum | OptionalFields { e_alternates }

## Public Member Functions

| H501_ServiceRelease (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H501_ServiceReleaseReason | m_reason
H501_AlternatePEInfo | m_alternates

## Member Enumeration Documentation

enum H501_ServiceRelease::OptionalFields

Enumerator:

  e_alternates |

## Constructor & Destructor Documentation

H501_ServiceRelease::H501_ServiceRelease | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H501_ServiceRelease::GetDataLength | ( |  | ) | const

PBoolean H501_ServiceRelease::Decode | ( | PASN_Stream & | strm | ) |

void H501_ServiceRelease::Encode | ( | PASN_Stream & | strm | ) | const

void H501_ServiceRelease::PrintOn | ( | ostream & | strm | ) | const

Comparison H501_ServiceRelease::Compare | ( | const PObject & | obj | ) | const

PObject* H501_ServiceRelease::Clone | ( |  | ) | const

## Member Data Documentation

H501_ServiceReleaseReason H501_ServiceRelease::m_reason

H501_AlternatePEInfo H501_ServiceRelease::m_alternates

The documentation for this class was generated from the following file:

- h501.h